CREATE TABLE [jtbc_sys_upload] (
	[upid] [int] IDENTITY (1, 1) NOT NULL ,
	[up_genre] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[up_upident] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[up_filename] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[up_field] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[up_fid] [int] NULL CONSTRAINT [DF_jtbc_sys_upload_up_fid] DEFAULT (0),
	[up_time] [datetime] NULL ,
	[up_user] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[up_valid] [int] NULL CONSTRAINT [DF_jtbc_sys_upload_up_valid] DEFAULT (0),
	[up_voidreason] [int] NULL CONSTRAINT [DF_jtbc_sys_upload_up_voidreason] DEFAULT (0),
	CONSTRAINT [PK_jtbc_sys_upload] PRIMARY KEY  CLUSTERED 
	(
		[upid]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [jtbc_sys_sort] (
	[sortid] [int] IDENTITY (1, 1) NOT NULL ,
	[sort_sort] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[sort_fid] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[sort_fsid] [int] NULL CONSTRAINT [DF_jtbc_sys_sort_sort_fsid] DEFAULT (0),
	[sort_genre] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[sort_lng] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[sort_hidden] [int] NULL CONSTRAINT [DF_jtbc_sys_sort_sort_hidden] DEFAULT (0),
	[sort_order] [int] NULL CONSTRAINT [DF_jtbc_sys_sort_sort_order] DEFAULT (0),
	CONSTRAINT [PK_jtbc_sys_sort] PRIMARY KEY  CLUSTERED 
	(
		[sortid]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [jtbc_support_vote_voter] (
	[vuid] [int] IDENTITY (1, 1) NOT NULL ,
	[vu_fid] [int] NULL CONSTRAINT [DF_jtbc_support_vote_voter_vu_fid] DEFAULT (0),
	[vu_ip] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[vu_username] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[vu_data] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[vu_time] [datetime] NULL ,
	CONSTRAINT [PK_jtbc_support_vote_voter] PRIMARY KEY  CLUSTERED 
	(
		[vuid]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [jtbc_support_vote_data] (
	[vdid] [int] IDENTITY (1, 1) NOT NULL ,
	[vd_topic] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[vd_fid] [int] NULL CONSTRAINT [DF_jtbc_support_vote_data_vd_fid] DEFAULT (0),
	[vd_vid] [int] NULL CONSTRAINT [DF_jtbc_support_vote_data_vd_vid] DEFAULT (0),
	[vd_count] [int] NULL CONSTRAINT [DF_jtbc_support_vote_data_vd_count] DEFAULT (0),
	CONSTRAINT [PK_jtbc_support_vote_data] PRIMARY KEY  CLUSTERED 
	(
		[vdid]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [jtbc_support_vote] (
	[vid] [int] IDENTITY (1, 1) NOT NULL ,
	[v_topic] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[v_type] [int] NULL CONSTRAINT [DF_jtbc_support_vote_v_type] DEFAULT (0),
	[v_count] [int] NULL CONSTRAINT [DF_jtbc_support_vote_v_count] DEFAULT (0),
	[v_starttime] [datetime] NULL ,
	[v_endtime] [datetime] NULL ,
	[v_lock] [int] NULL CONSTRAINT [DF_jtbc_support_vote_v_lock] DEFAULT (0),
	[v_time] [datetime] NULL ,
	CONSTRAINT [PK_jtbc_support_vote] PRIMARY KEY  CLUSTERED 
	(
		[vid]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [jtbc_support_review] (
	[rid] [int] IDENTITY (1, 1) NOT NULL ,
	[r_author] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[r_authorip] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[r_content] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[r_time] [datetime] NULL ,
	[r_keyword] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[r_fid] [int] NULL CONSTRAINT [DF_jtbc_support_review_r_fid] DEFAULT (0),
	[r_hidden] [int] NULL CONSTRAINT [DF_jtbc_support_review_r_hidden] DEFAULT (0),
	CONSTRAINT [PK_jtbc_support_review] PRIMARY KEY  CLUSTERED 
	(
		[rid]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [jtbc_support_payment] (
	[paid] [int] IDENTITY (1, 1) NOT NULL ,
	[pa_orderid] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[pa_payorderid] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[pa_genre] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[pa_payid] [int] NULL CONSTRAINT [DF_jtbc_support_payment_pa_payid] DEFAULT (0),
	[pa_paymoney] [float] NULL CONSTRAINT [DF_jtbc_support_payment_pa_paymoney] DEFAULT (0),
	[pa_clientip] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[pa_time] [datetime] NULL ,
	CONSTRAINT [PK_jtbc_support_payment] PRIMARY KEY  CLUSTERED 
	(
		[paid]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [jtbc_support_linktext] (
	[lid] [int] IDENTITY (1, 1) NOT NULL ,
	[l_topic] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[l_url] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[l_keyword] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[l_intro] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[l_time] [datetime] NULL ,
	CONSTRAINT [PK_jtbc_support_linktext] PRIMARY KEY  CLUSTERED 
	(
		[lid]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [jtbc_support_linkimages] (
	[lid] [int] IDENTITY (1, 1) NOT NULL ,
	[l_topic] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[l_url] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[l_keyword] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[l_image] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[l_intro] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[l_time] [datetime] NULL ,
	CONSTRAINT [PK_jtbc_support_linkimages] PRIMARY KEY  CLUSTERED 
	(
		[lid]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [jtbc_support_gbook] (
	[gid] [int] IDENTITY (1, 1) NOT NULL ,
	[g_author] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[g_authorip] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[g_sex] [int] NULL CONSTRAINT [DF_jtbc_support_gbook_g_sex] DEFAULT (0),
	[g_qq] [int] NULL CONSTRAINT [DF_jtbc_support_gbook_g_qq] DEFAULT (0),
	[g_face] [int] NULL CONSTRAINT [DF_jtbc_support_gbook_g_face] DEFAULT (0),
	[g_email] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[g_homepage] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[g_topic] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[g_content] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[g_time] [datetime] NULL ,
	[g_reply] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[g_replytime] [datetime] NULL ,
	[g_hidden] [int] NULL CONSTRAINT [DF_jtbc_support_gbook_g_hidden] DEFAULT (0),
	[g_lng] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	CONSTRAINT [PK_jtbc_support_gbook] PRIMARY KEY  CLUSTERED 
	(
		[gid]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [jtbc_shopcart] (
	[scid] [int] IDENTITY (1, 1) NOT NULL ,
	[sc_fid] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[sc_allprice] [float] NULL CONSTRAINT [DF_jtbc_shopcart_sc_allprice] DEFAULT (0),
	[sc_merchandiseprice] [float] NULL CONSTRAINT [DF_jtbc_shopcart_sc_merchandiseprice] DEFAULT (0),
	[sc_trafficprice] [float] NULL CONSTRAINT [DF_jtbc_shopcart_sc_trafficprice] DEFAULT (0),
	[sc_name] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[sc_address] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[sc_code] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[sc_phone] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[sc_email] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[sc_remark] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[sc_payment] [int] NULL CONSTRAINT [DF_jtbc_shopcart_sc_payment] DEFAULT (0),
	[sc_traffic] [int] NULL CONSTRAINT [DF_jtbc_shopcart_sc_traffic] DEFAULT (0),
	[sc_orderid] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[sc_prepaid] [int] NULL CONSTRAINT [DF_jtbc_shopcart_sc_prepaid] DEFAULT (0),
	[sc_payid] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[sc_state] [int] NULL CONSTRAINT [DF_jtbc_shopcart_sc_state] DEFAULT (0),
	[sc_time] [datetime] NULL ,
	[sc_dtime] [datetime] NULL ,
	CONSTRAINT [PK_jtbc_shopcart] PRIMARY KEY  CLUSTERED 
	(
		[scid]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [jtbc_shop] (
	[sid] [int] IDENTITY (1, 1) NOT NULL ,
	[s_snum] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[s_topic] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[s_cls] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[s_class] [int] NULL CONSTRAINT [DF_jtbc_shop_s_class] DEFAULT (0),
	[s_image] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[s_imagesw] [int] NULL CONSTRAINT [DF_jtbc_shop_s_imagesw] DEFAULT (0),
	[s_imagesh] [int] NULL CONSTRAINT [DF_jtbc_shop_s_imagesh] DEFAULT (0),
	[s_price] [float] NULL CONSTRAINT [DF_jtbc_shop_s_price] DEFAULT (0),
	[s_wprice] [float] NULL CONSTRAINT [DF_jtbc_shop_s_wprice] DEFAULT (0),
	[s_unit] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[s_limit] [int] NULL CONSTRAINT [DF_jtbc_shop_s_limit] DEFAULT (0),
	[s_limitnum] [int] NULL CONSTRAINT [DF_jtbc_shop_s_limitnum] DEFAULT (0),
	[s_cttype] [int] NULL CONSTRAINT [DF_jtbc_shop_s_cttype] DEFAULT (0),
	[s_content] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[s_content_images_list] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[s_spprice] [int] NULL CONSTRAINT [DF_jtbc_shop_s_spprice] DEFAULT (0),
	[s_good] [int] NULL CONSTRAINT [DF_jtbc_shop_s_good] DEFAULT (0),
	[s_hidden] [int] NULL CONSTRAINT [DF_jtbc_shop_s_hidden] DEFAULT (0),
	[s_time] [datetime] NULL ,
	[s_count] [int] NULL CONSTRAINT [DF_jtbc_shop_s_count] DEFAULT (0),
	CONSTRAINT [PK_jtbc_shop] PRIMARY KEY  CLUSTERED 
	(
		[sid]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [jtbc_product] (
	[pid] [int] IDENTITY (1, 1) NOT NULL ,
	[p_topic] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[p_topic_b] [int] NULL CONSTRAINT [DF_jtbc_product_p_topic_b] DEFAULT (0),
	[p_topic_color] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[p_image] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[p_content] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[p_content_images_list] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[p_cttype] [int] NULL CONSTRAINT [DF_jtbc_product_p_cttype] DEFAULT (0),
	[p_cp_note] [int] NULL CONSTRAINT [DF_jtbc_product_p_cp_note] DEFAULT (0),
	[p_cp_mode] [int] NULL CONSTRAINT [DF_jtbc_product_p_cp_mode] DEFAULT (0),
	[p_cp_type] [int] NULL CONSTRAINT [DF_jtbc_product_p_cp_type] DEFAULT (0),
	[p_cp_num] [int] NULL CONSTRAINT [DF_jtbc_product_p_cp_num] DEFAULT (0),
	[p_time] [datetime] NULL ,
	[p_cls] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[p_class] [int] NULL CONSTRAINT [DF_jtbc_product_p_class] DEFAULT (0),
	[p_hidden] [int] NULL CONSTRAINT [DF_jtbc_product_p_hidden] DEFAULT (0),
	[p_good] [int] NULL CONSTRAINT [DF_jtbc_product_p_good] DEFAULT (0),
	[p_top] [int] NULL CONSTRAINT [DF_jtbc_product_p_top] DEFAULT (0),
	[p_count] [int] NULL CONSTRAINT [DF_jtbc_product_p_count] DEFAULT (0),
	[p_update] [int] NULL CONSTRAINT [DF_jtbc_product_p_update] DEFAULT (0),
	CONSTRAINT [PK_jtbc_product] PRIMARY KEY  CLUSTERED 
	(
		[pid]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [jtbc_passport_message] (
	[mid] [int] IDENTITY (1, 1) NOT NULL ,
	[m_topic] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[m_content] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[m_read] [int] NULL CONSTRAINT [DF_jtbc_passport_message_m_read] DEFAULT (0),
	[m_time] [datetime] NULL ,
	[m_len] [int] NULL CONSTRAINT [DF_jtbc_passport_message_m_len] DEFAULT (0),
	[m_addresser] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[m_recipients] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	CONSTRAINT [PK_jtbc_passport_message] PRIMARY KEY  CLUSTERED 
	(
		[mid]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [jtbc_passport_friend] (
	[feid] [int] IDENTITY (1, 1) NOT NULL ,
	[fe_username] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[fe_name] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[fe_time] [datetime] NULL ,
	CONSTRAINT [PK_jtbc_passport_friend] PRIMARY KEY  CLUSTERED 
	(
		[feid]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [jtbc_passport] (
	[pid] [int] IDENTITY (1, 1) NOT NULL ,
	[p_username] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[p_password] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[p_email] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[p_city] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[p_sex] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[p_old] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[p_name] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[p_qq] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[p_msn] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[p_phone] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[p_homepage] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[p_code] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[p_address] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[p_emoney] [int] NULL CONSTRAINT [DF_jtbc_passport_p_emoney] DEFAULT (0),
	[p_integral] [int] NULL CONSTRAINT [DF_jtbc_passport_p_integral] DEFAULT (0),
	[p_topic] [int] NULL CONSTRAINT [DF_jtbc_passport_p_topic] DEFAULT (0),
	[p_face] [int] NULL CONSTRAINT [DF_jtbc_passport_p_face] DEFAULT (0),
	[p_face_u] [int] NULL CONSTRAINT [DF_jtbc_passport_p_face_u] DEFAULT (0),
	[p_face_url] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[p_face_width] [int] NULL CONSTRAINT [DF_jtbc_passport_p_face_width] DEFAULT (0),
	[p_face_height] [int] NULL CONSTRAINT [DF_jtbc_passport_p_face_height] DEFAULT (0),
	[p_sign] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[p_forum_admin] [int] NULL CONSTRAINT [DF_jtbc_passport_p_forum_admin] DEFAULT (0),
	[p_utype] [int] NULL CONSTRAINT [DF_jtbc_passport_p_utype] DEFAULT (0),
	[p_lock] [int] NULL CONSTRAINT [DF_jtbc_passport_p_lock] DEFAULT (0),
	[p_time] [datetime] NULL ,
	[p_lasttime] [datetime] NULL ,
	[p_pretime] [datetime] NULL ,
	CONSTRAINT [PK_jtbc_passport] PRIMARY KEY  CLUSTERED 
	(
		[pid]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [jtbc_forum_vote_voter] (
	[vuid] [int] IDENTITY (1, 1) NOT NULL ,
	[vu_fid] [int] NULL CONSTRAINT [DF_jtbc_forum_vote_voter_vu_fid] DEFAULT (0),
	[vu_ip] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[vu_username] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[vu_data] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[vu_time] [datetime] NULL ,
	CONSTRAINT [PK_jtbc_forum_vote_voter] PRIMARY KEY  CLUSTERED 
	(
		[vuid]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [jtbc_forum_vote_data] (
	[vdid] [int] IDENTITY (1, 1) NOT NULL ,
	[vd_topic] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[vd_fid] [int] NULL CONSTRAINT [DF_jtbc_forum_vote_data_vd_fid] DEFAULT (0),
	[vd_vid] [int] NULL CONSTRAINT [DF_jtbc_forum_vote_data_vd_vid] DEFAULT (0),
	[vd_count] [int] NULL CONSTRAINT [DF_jtbc_forum_vote_data_vd_count] DEFAULT (0),
	CONSTRAINT [PK_jtbc_forum_vote_data] PRIMARY KEY  CLUSTERED 
	(
		[vdid]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [jtbc_forum_vote] (
	[vid] [int] IDENTITY (1, 1) NOT NULL ,
	[v_topic] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[v_type] [int] NULL CONSTRAINT [DF_jtbc_forum_vote_v_type] DEFAULT (0),
	[v_time] [datetime] NULL ,
	[v_day] [int] NULL CONSTRAINT [DF_jtbc_forum_vote_v_day] DEFAULT (0),
	CONSTRAINT [PK_jtbc_forum_vote] PRIMARY KEY  CLUSTERED 
	(
		[vid]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [jtbc_forum_topic] (
	[tid] [int] IDENTITY (1, 1) NOT NULL ,
	[t_sid] [int] NULL CONSTRAINT [DF_jtbc_forum_topic_t_sid] DEFAULT (0),
	[t_fid] [int] NULL CONSTRAINT [DF_jtbc_forum_topic_t_fid] DEFAULT (0),
	[t_icon] [int] NULL CONSTRAINT [DF_jtbc_forum_topic_t_icon] DEFAULT (0),
	[t_topic] [nvarchar] (100) COLLATE Chinese_PRC_CI_AS NULL ,
	[t_color] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[t_b] [int] NULL CONSTRAINT [DF_jtbc_forum_topic_t_b] DEFAULT (0),
	[t_author] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[t_authorip] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[t_content_files_list] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[t_content_database] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[t_voteid] [int] NULL CONSTRAINT [DF_jtbc_forum_topic_t_voteid] DEFAULT (0),
	[t_ubb] [int] NULL CONSTRAINT [DF_jtbc_forum_topic_t_ubb] DEFAULT (0),
	[t_reply] [int] NULL CONSTRAINT [DF_jtbc_forum_topic_t_reply] DEFAULT (0),
	[t_count] [int] NULL CONSTRAINT [DF_jtbc_forum_topic_t_count] DEFAULT (0),
	[t_time] [datetime] NULL ,
	[t_htop] [int] NULL CONSTRAINT [DF_jtbc_forum_topic_t_htop] DEFAULT (0),
	[t_top] [int] NULL CONSTRAINT [DF_jtbc_forum_topic_t_top] DEFAULT (0),
	[t_lock] [int] NULL CONSTRAINT [DF_jtbc_forum_topic_t_lock] DEFAULT (0),
	[t_elite] [int] NULL CONSTRAINT [DF_jtbc_forum_topic_t_elite] DEFAULT (0),
	[t_hidden] [int] NULL CONSTRAINT [DF_jtbc_forum_topic_t_hidden] DEFAULT (0),
	[t_lasttime] [datetime] NULL ,
	[t_lastuser] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	CONSTRAINT [PK_jtbc_forum_topic] PRIMARY KEY  CLUSTERED 
	(
		[tid]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [jtbc_forum_sort] (
	[sid] [int] IDENTITY (1, 1) NOT NULL ,
	[s_sort] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[s_fid] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[s_fsid] [int] NULL CONSTRAINT [DF_jtbc_forum_sort_s_fsid] DEFAULT (0),
	[s_lng] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[s_order] [int] NULL CONSTRAINT [DF_jtbc_forum_sort_s_order] DEFAULT (0),
	[s_type] [int] NULL CONSTRAINT [DF_jtbc_forum_sort_s_type] DEFAULT (0),
	[s_mode] [int] NULL CONSTRAINT [DF_jtbc_forum_sort_s_mode] DEFAULT (0),
	[s_ispop] [int] NULL CONSTRAINT [DF_jtbc_forum_sort_s_ispop] DEFAULT (0),
	[s_popedom] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[s_images] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[s_admin] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[s_rule] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[s_explain] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[s_attestation] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[s_hidden] [int] NULL CONSTRAINT [DF_jtbc_forum_sort_s_hidden] DEFAULT (0),
	[s_ntopic] [int] NULL CONSTRAINT [DF_jtbc_forum_sort_s_ntopic] DEFAULT (0),
	[s_nnote] [int] NULL CONSTRAINT [DF_jtbc_forum_sort_s_nnote] DEFAULT (0),
	[s_today_ntopic] [int] NULL CONSTRAINT [DF_jtbc_forum_sort_s_today_ntopic] DEFAULT (0),
	[s_today_date] [datetime] NULL ,
	[s_last_topic] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[s_last_tid] [int] NULL CONSTRAINT [DF_jtbc_forum_sort_s_last_tid] DEFAULT (0),
	[s_last_time] [datetime] NULL ,
	CONSTRAINT [PK_jtbc_forum_sort] PRIMARY KEY  CLUSTERED 
	(
		[sid]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [jtbc_forum_data] (
	[did] [int] IDENTITY (1, 1) NOT NULL ,
	[d_tid] [int] NULL CONSTRAINT [DF_jtbc_forum_data_d_tid] DEFAULT (0),
	[d_content] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	CONSTRAINT [PK_jtbc_forum_data] PRIMARY KEY  CLUSTERED 
	(
		[did]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [jtbc_forum_blacklist] (
	[bid] [int] IDENTITY (1, 1) NOT NULL ,
	[b_username] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[b_sid] [int] NULL CONSTRAINT [DF_jtbc_forum_blacklist_b_sid] DEFAULT (0),
	[b_admin] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[b_time] [datetime] NULL ,
	[b_remark] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	CONSTRAINT [PK_jtbc_forum_blacklist] PRIMARY KEY  CLUSTERED 
	(
		[bid]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [jtbc_expansion_js] (
	[jid] [int] IDENTITY (1, 1) NOT NULL ,
	[j_topic] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[j_content] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[j_retimetype] [int] NULL CONSTRAINT [DF_jtbc_expansion_js_j_retimetype] DEFAULT (0),
	[j_retimevalue] [int] NULL CONSTRAINT [DF_jtbc_expansion_js_j_retimevalue] DEFAULT (0),
	[j_retime] [datetime] NULL ,
	[j_time] [datetime] NULL ,
	CONSTRAINT [PK_jtbc_expansion_js] PRIMARY KEY  CLUSTERED 
	(
		[jid]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [jtbc_expansion_jrss] (
	[jid] [int] IDENTITY (1, 1) NOT NULL ,
	[j_topic] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[j_encode] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[j_retimetype] [int] NULL CONSTRAINT [DF_jtbc_expansion_jrss_j_retimetype] DEFAULT (0),
	[j_retimevalue] [int] NULL CONSTRAINT [DF_jtbc_expansion_jrss_j_retimevalue] DEFAULT (0),
	[j_retime] [datetime] NULL ,
	[j_url] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[j_time] [datetime] NULL ,
	CONSTRAINT [PK_jtbc_expansion_jrss] PRIMARY KEY  CLUSTERED 
	(
		[jid]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [jtbc_download] (
	[did] [int] IDENTITY (1, 1) NOT NULL ,
	[d_topic] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[d_cls] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[d_class] [int] NULL CONSTRAINT [DF_jtbc_download_d_class] DEFAULT (0),
	[d_scont] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[d_image] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[d_cttype] [int] NULL CONSTRAINT [DF_jtbc_download_d_cttype] DEFAULT (0),
	[d_content] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[d_content_images_list] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[d_size] [int] NULL CONSTRAINT [DF_jtbc_download_d_size] DEFAULT (0),
	[d_runco] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[d_star] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[d_accredit] [int] NULL CONSTRAINT [DF_jtbc_download_d_accredit] DEFAULT (0),
	[d_lng] [int] NULL CONSTRAINT [DF_jtbc_download_d_lng] DEFAULT (0),
	[d_link] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[d_author] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[d_url1] [nvarchar] (200) COLLATE Chinese_PRC_CI_AS NULL ,
	[d_url_count1] [int] NULL CONSTRAINT [DF_jtbc_download_d_url_count1] DEFAULT (0),
	[d_url2] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[d_url_count2] [int] NULL CONSTRAINT [DF_jtbc_download_d_url_count2] DEFAULT (0),
	[d_url3] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[d_url_count3] [int] NULL CONSTRAINT [DF_jtbc_download_d_url_count3] DEFAULT (0),
	[d_url4] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[d_url_count4] [int] NULL CONSTRAINT [DF_jtbc_download_d_url_count4] DEFAULT (0),
	[d_url5] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[d_url_count5] [int] NULL CONSTRAINT [DF_jtbc_download_d_url_count5] DEFAULT (0),
	[d_hidden] [int] NULL CONSTRAINT [DF_jtbc_download_d_hidden] DEFAULT (0),
	[d_good] [int] NULL CONSTRAINT [DF_jtbc_download_d_good] DEFAULT (0),
	[d_time] [datetime] NULL ,
	[d_count] [int] NULL CONSTRAINT [DF_jtbc_download_d_count] DEFAULT (0),
	[d_update] [int] NULL CONSTRAINT [DF_jtbc_download_d_update] DEFAULT (0),
	CONSTRAINT [PK_jtbc_download] PRIMARY KEY  CLUSTERED 
	(
		[did]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [jtbc_article] (
	[aid] [int] IDENTITY (1, 1) NOT NULL ,
	[a_topic] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[a_topic_b] [int] NULL CONSTRAINT [DF_jtbc_article_a_topic_b] DEFAULT (0),
	[a_topic_color] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[a_content] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[a_content_images_list] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[a_cttype] [int] NULL CONSTRAINT [DF_jtbc_article_a_cttype] DEFAULT (0),
	[a_cp_note] [int] NULL CONSTRAINT [DF_jtbc_article_a_cp_note] DEFAULT (0),
	[a_cp_mode] [int] NULL CONSTRAINT [DF_jtbc_article_a_cp_mode] DEFAULT (0),
	[a_cp_type] [int] NULL CONSTRAINT [DF_jtbc_article_a_cp_type] DEFAULT (0),
	[a_cp_num] [int] NULL CONSTRAINT [DF_jtbc_article_a_cp_num] DEFAULT (0),
	[a_time] [datetime] NULL ,
	[a_cls] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[a_class] [int] NULL CONSTRAINT [DF_jtbc_article_a_class] DEFAULT (0),
	[a_hidden] [int] NULL CONSTRAINT [DF_jtbc_article_a_hidden] DEFAULT (0),
	[a_good] [int] NULL CONSTRAINT [DF_jtbc_article_a_good] DEFAULT (0),
	[a_top] [int] NULL CONSTRAINT [DF_jtbc_article_a_top] DEFAULT (0),
	[a_count] [int] NULL CONSTRAINT [DF_jtbc_article_a_count] DEFAULT (0),
	[a_update] [int] NULL CONSTRAINT [DF_jtbc_article_a_update] DEFAULT (0),
	CONSTRAINT [PK_jtbc_article] PRIMARY KEY  CLUSTERED 
	(
		[aid]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [jtbc_admin_log] (
	[lid] [int] IDENTITY (1, 1) NOT NULL ,
	[l_name] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[l_time] [datetime] NULL ,
	[l_ip] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[l_islogin] [int] NULL CONSTRAINT [DF_jtbc_admin_log_l_islogin] DEFAULT (0),
	CONSTRAINT [PK_jtbc_admin_log] PRIMARY KEY  CLUSTERED 
	(
		[lid]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [jtbc_admin] (
	[aid] [int] IDENTITY (1, 1) NOT NULL ,
	[a_name] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[a_pword] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[a_popedom] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[a_lock] [int] NULL CONSTRAINT [DF_jtbc_admin_a_lock] DEFAULT (0),
	[a_lasttime] [datetime] NULL ,
	[a_lastip] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	CONSTRAINT [PK_jtbc_admin] PRIMARY KEY  CLUSTERED 
	(
		[aid]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [jtbc_aboutus] (
	[abid] [int] IDENTITY (1, 1) NOT NULL ,
	[ab_topic] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[ab_content] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[ab_content_images_list] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
	[ab_cttype] [int] NULL CONSTRAINT [DF_jtbc_aboutus_ab_cttype] DEFAULT (0),
	[ab_cp_note] [int] NULL CONSTRAINT [DF_jtbc_aboutus_ab_cp_note] DEFAULT (0),
	[ab_cp_mode] [int] NULL CONSTRAINT [DF_jtbc_aboutus_ab_cp_mode] DEFAULT (0),
	[ab_cp_type] [int] NULL CONSTRAINT [DF_jtbc_aboutus_ab_cp_type] DEFAULT (0),
	[ab_cp_num] [int] NULL CONSTRAINT [DF_jtbc_aboutus_ab_cp_num] DEFAULT (0),
	[ab_time] [datetime] NULL ,
	[ab_hidden] [int] NULL CONSTRAINT [DF_jtbc_aboutus_ab_hidden] DEFAULT (0),
	[ab_update] [int] NULL CONSTRAINT [DF_jtbc_aboutus_ab_update] DEFAULT (0),
	[ab_count] [int] NULL CONSTRAINT [DF_jtbc_aboutus_ab_count] DEFAULT (0),
	[ab_lng] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	CONSTRAINT [PK_jtbc_aboutus] PRIMARY KEY  CLUSTERED 
	(
		[abid]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


INSERT INTO [jtbc_admin] (a_name, a_pword, a_popedom) VALUES ('admin', '4a801fc343894a0e7a57a5a721232f29', '-1')